export interface StackFrameConstructorOptions {
    fileName?: string;
    functionName: string;
    lineNumber?: number;
    stackFrameLevel?: number;
    arguments?: Array<any>;
    locals?: Array<any>;
}
export declare class StackFrame implements StackFrameConstructorOptions {
    fileName?: string;
    functionName: string;
    lineNumber?: number;
    stackFrameLevel?: number;
    arguments?: Array<any>;
    locals?: Array<any>;
    constructor(options: StackFrameConstructorOptions);
    getDescription(): string;
    getLocation(): string;
    private getShortFileName;
}
export interface VariableValuePair {
    variable: string;
    value: string;
}
