import { ApiClient, BugSplatResponse } from '../../common';
export declare class SymbolsApiClient {
    private _client;
    private readonly route;
    private _stat;
    private _timer;
    constructor(_client: ApiClient);
    delete(database: string, application: string, version: string): Promise<BugSplatResponse>;
    post(database: string, application: string, version: string, files: Array<string>): Promise<Array<BugSplatResponse>>;
    private getPresignedUrl;
}
